Loading...
Searching...
No Matches
TypeList.h File Reference

A TypeList provides a compile time sequence of heterogeneous types which can be accessed, transformed and executed over in various ways. It incorporates a subset of functionality similar to boost::mpl::vector however provides most of its content through using declarations rather than additional typed classes. More...

`#include "version.h"`
`#include <tuple>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

struct | TypeList< Ts >
| A list of types (not necessarily unique). More...

## Namespaces

namespace | openvdb
namespace | openvdb::v10_0

## Detailed Description

A TypeList provides a compile time sequence of heterogeneous types which can be accessed, transformed and executed over in various ways. It incorporates a subset of functionality similar to boost::mpl::vector however provides most of its content through using declarations rather than additional typed classes.